Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::SkeletonBlockerGeometricDS< GeometryTrait > Struct Template Reference

Concept for template class of Skeleton_blocker_geometric_complex . It must specify a GeometryTrait which contains a Point definition. More...

`#include <concept/Skeleton_blocker/SkeletonBlockerGeometricDS.h>`

## Classes

class | Graph_vertex
| Vertex that stores a point. More...
class | Graph_Edge
| Edge that allows to access to an index. The indices of the edges are used to store heap information in the edge contraction algorithm. More...

## Public Types

typedef GeometryTrait | GT
typedef GeometryTrait::Point | Point
Public Types inherited from Gudhi::skeleton_blocker::SkeletonBlockerDS
typedef int | boost_vertex_handle
| index that allows to find the vertex in the boost graph

## Detailed Description

template<typename GeometryTrait>
struct Gudhi::skeleton_blocker::SkeletonBlockerGeometricDS< GeometryTrait >

Concept for template class of Skeleton_blocker_geometric_complex . It must specify a GeometryTrait which contains a Point definition.

Graph_vertex must specify how to access to a point. Graph_edge must specify how to access to an index.

## Member Typedef Documentation

## GT

template<typename GeometryTrait>

typedef GeometryTrait Gudhi::skeleton_blocker::SkeletonBlockerGeometricDS< GeometryTrait >::GT

Geometry information.

## Point

template<typename GeometryTrait>

typedef GeometryTrait::Point Gudhi::skeleton_blocker::SkeletonBlockerGeometricDS< GeometryTrait >::Point

Type of point (should be the same as GT::Point).

The documentation for this struct was generated from the following file:

- concept/Skeleton_blocker/SkeletonBlockerGeometricDS.h